<?php

namespace App\Http\Controllers;

use App\Models\Goal;
use App\Models\Skill;
use App\Models\UserGoal;
use Illuminate\Http\Request;

class GoalController extends Controller
{
  // views

  public function goalsManageView()
  {
    // needed info (besides id's):
    // userGoal: goal_achieved
    // goal: title
    // topic: title
    // skill: title
    $skills = Skill::getForManageView();
    
    return view('admin.goals-manage', ['skills' => $skills]);
  }

  // CRUD

  public function goalsRead()
  {
    // needed info (besides id's):
    // user: name
    // userGoal: goal_achieved
    // goal: title
    // topic: title
    $goals = Goal::getTitlesAndUser();
    
    return $goals;
  }

  public function goalCreate(Request $request)
  {
    $newGoal = Goal::create([
      'topic_id' => $request->topicId,
      'title' => $request->title,
    ]);

    // return changes made so JS can update frontend without reload / re-read
    return $newGoal;
  }

  public function goalUpdate(Request $request)
  {
    $targetGoal = Goal::find($request->goalId);

    $targetGoal->goalUpdate($request);

    // return changes made so JS can update frontend without reload / re-read
    return $targetGoal;
  }

  public function goalDelete(Request $request)
  {
    Goal::destroy($request->goalId);

    // return changes made so JS can update frontend without reload / re-read
    return $request->goalId;
  }
}
