<?php

namespace App\Models;

use App\Models\Topic;
use App\Models\UserGoal;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Goal extends Model
{
  public $timestamps = false;

  protected $fillable = [
    'topic_id',
    'title',
  ];


  // relations

  public function topic()
  {
    return $this->belongsTo(Topic::class);
  }

  public function users()
  {
    return $this->hasMany(UserGoal::class);
  }

  // query methods

  public static function getTitlesAndUser()
  {
    $goals = Goal::select('id', 'topic_id', 'title')
    ->with(['users' => function($query) {
      $query->select('id','goal_id', 'user_id', 'goal_achieved')
      ->with(['user' => function($query) {
        $query->select('id', 'name');
      }]);
    }, 'topic' => function($query) {
      $query->select('id', 'title');
    }])
    ->get();
    
    return $goals;
  }
  
  // methods

  public function goalUpdate($request)
  {
    $this->topic_id = $request->topicId;
    $this->title = $request->title;

    $this->save();
  }
}
