@extends('layouts.app')

@section('content')
<div class="flex items-center justify-center">
  <div class="card p-8 rounded-md border-2">
    <div class="card-header text-xl mb-2 text-center">{{ __('Login') }}</div>

    <div class="card-body">
      <form method="POST" action="{{ route('login') }}">
        @csrf

        <div class="row mb-3">
          <label for="username" class="col-md-4 col-form-label text-md-end">{{ __('username') }}</label>

          <div class="col-md-6">
            <input id="username" type="username" class="form-control @error('username') is-invalid @enderror border-2" name="username" value="{{ old('username') }}" required autocomplete="username" autofocus>

            @error('username')
              <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
              </span>
            @enderror
          </div>
        </div>

        <div class="row mb-3">
          <label for="password" class="col-md-4 col-form-label text-md-end">{{ __('Password') }}</label>

          <div class="col-md-6">
            <input id="password" type="password" class="form-control @error('password') is-invalid @enderror border-2" name="password" required autocomplete="current-password">

            @error('password')
              <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
              </span>
            @enderror
          </div>
        </div>

        <div class="row mb-3">
          <div class="col-md-6 offset-md-4">
            <div class="form-check">
              <input class="form-check-input" type="checkbox" name="remember" id="remember" {{ old('remember') ? 'checked' : '' }}>

              <label class="form-check-label" for="remember">
                {{ __('Remember Me') }}
              </label>
            </div>
          </div>
        </div>

        <div class="row mb-0">
          <div class="flex justify-between">
            @if (Route::has('password.request'))
              <a class="p-1 rounded-md text-sm font-semibold text-neutral-700 hover:text-neutral-600" href="{{ route('password.request') }}">
                {{ __('Forgot Your Password?') }}
              </a>
            @endif

            <button type="submit" class="py-1 px-4 rounded-md text-sm font-semibold bg-sky-500 hover:bg-sky-400 text-white">
              {{ __('Login') }}
            </button>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
@endsection