@props(['canSelectGoals', 'view'])

<x-layouts.main>

  <x-slot name="assets">
    {{ $assets ?? '' }}
  </x-slot>

  <x-slot name="navigation">

    <div class="flex items-center gap-4">
      <a class="p-3" href="/user/leerdoelen">home</a>
      <a class="p-3" href="/home">link</a>
    </div>
    
  </x-slot>

  <!-- second navigation -->
  <div class="h-16 flex justify-center bg-neutral-600 text-white text-lg">
    <ul class="w-4/5 flex gap-2 items-end">
      @if ($view == 'current')
        <a class="px-8 py-2 bg-white text-black rounded-t-lg" href="/user/leerdoelen">Mijn leerdoelen</a>
      @else
        <a class="px-8 py-2 bg-neutral-500 hover:bg-neutral-400 rounded-t-lg" href="/user/leerdoelen">Mijn leerdoelen</a>
      @endif

      @if ($view == 'achieved')
        <a class="px-8 py-2 bg-white text-black rounded-t-lg" href="/user/leerdoelen_behaald">Behaalde leerdoelen</a>
      @else
        <a class="px-8 py-2 bg-neutral-500 hover:bg-neutral-400 rounded-t-lg" href="/user/leerdoelen_behaald">Behaalde leerdoelen</a>
      @endif

      @if ($view == 'select')
        <a class="px-8 py-2 bg-white text-black rounded-t-lg" href="/user/leerdoelen_kiezen">Nieuwe doelen kiezen</a>
      @elseif ($canSelectGoals === 1)
        <a class="px-8 py-2 bg-neutral-500 hover:bg-neutral-400 rounded-t-lg" href="/user/leerdoelen_kiezen">Nieuwe doelen kiezen</a>
      @else
        <p class="px-8 py-2 bg-neutral-500 rounded-t-lg text-neutral-400">Nieuwe doelen kiezen</p>
      @endif
    </ul>
  </div>

  <div class="flex flex-col items-center py-16 gap-16">

    <!-- page top section -->
    <header class="w-4/5 flex justify-between">

      {{ $pageTop }}

    </header>

    <!-- main content -->
    <main id="app" class="w-4/5">

      {{ $slot }}

    </main>

  </div>

</x-layouts.main>