<x-layouts.user :can-select-goals="$can_select_goals" view="current">

  <x-slot name="pageTop">
    <h1 class="text-4xl font-medium">Mijn leerdoelen</h1>
  </x-slot>

  @if (!$goals_are_approved)
    <div class="mb-8 p-4 inline-flex rounded-2xl bg-sky-100">
      <p class="ml-2 text-xl font-medium">Icon</p>
      <h2 class="px-12 text-xl text-neutral-700">Je nieuwe doelen zijn opgeslagen. wachten op goedkeuring van autismecoach</h2>
    </div>
  @endif

  <!-- active goals list -->
  <section id="goals-list" class="pb-20 flex flex-col gap-4">
    @foreach ($goals as $goal)
      @if ($goal->goal_achieved === 1)

      <div class="item-goal achieved w-3/4 py-3 px-4 flex justify-between rounded-md bg-neutral-200">
        <p>{{ $goal->goal->title }}. <span class="text-xs">({{ $goal->goal->topic->skill->title }})</span></p>
        <p>Behaald op {{ $goal->goal_achieved_date }}</p>
      </div>

      @else

      <div class="item-goal w-3/4 py-3 px-4 rounded-md bg-neutral-200">
        <p>{{ $goal->goal->title }}. <span class="text-xs">({{ $goal->goal->topic->skill->title }})</span></p>
      </div>

      @endif
    @endforeach

    @if($goals->Count() == 0)
      <p>Nog geen leerdoelen gekozen.</p>
    @endif
  </section>
  
</x-layouts.user>