<?php

namespace App\Models;

use App\Models\Goal;
use App\Models\Skill;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Topic extends Model
{
  public $timestamps = false;

  protected $fillable = [
    'skill_id',
    'title',
  ];


  // relations

  public function goals()
  {
    return $this->hasMany(Goal::class)->select('id', 'topic_id', 'title');
  }

  public function skill()
  {
    return $this->belongsTo(Skill::class);
  }

  // query methods



  // methods

}
