<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

class UserGoalFactory extends Factory
{
  /**
   * Define the model's default state.
   *
   * @return array
   */
  public function definition()
  {

    return [
      'goal_active' => true,
      'goal_approved' => true,
      'goal_achieved' => false,
      'goal_selected_date' => now()->subDays(10),
    ];
  }

  public function isNotApproved()
  {
    return $this->state([
      'goal_approved' => false,
    ]);
  }

  public function isAchieved()
  {
    return $this->state([
      'goal_achieved' => true,
      'goal_achieved_date' => now(),
    ]);
  }
}
