<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUserGoalsTable extends Migration
{
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up()
  {
    Schema::create('user_goals', function (Blueprint $table) {
      $table->id();
      $table->foreignId('user_id');
      $table->foreignId('goal_id');
      $table->tinyInteger('goal_active'); // if goal is currently being worked on
      $table->tinyInteger('goal_approved'); // if goal is approved by admin
      $table->tinyInteger('goal_achieved'); // if goal is achieved
      $table->date('goal_achieved_date')->nullable(); // date of goal achieved
      $table->date('goal_selected_date'); // date of last time selected
    });
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down()
  {
    Schema::dropIfExists('user_goals');
  }
}
