<?php

namespace Database\Seeders;

use App\Models\UserGoal;
use App\Models\Goal;
use App\Models\Skill;
use App\Models\Topic;
use App\Models\User;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
  /**
   * Seed the application's database.
   *
   * @return void
   */
  public function run()
  {

    // create 3 skill types
    Skill::create([
      'title' => 'Arbeidsvaardigheden'
    ]);

    Skill::create([
      'title' => 'Persoonlijke Vaardigheden'
    ]);

    Skill::create([
      'title' => 'Technische Vaardigheden'
    ]);


    // create topics
    Topic::create([
      'skill_id' => 1,
      'title' => 'Basis'
    ]);

    Topic::create([
      'skill_id' => 1,
      'title' => 'Omgaan met leidinggevende'
    ]);

    Topic::create([
      'skill_id' => 2,
      'title' => 'Sociale vaardigheden'
    ]);

    Topic::create([
      'skill_id' => 3,
      'title' => 'HTML/CSS'
    ]);

    Topic::create([
      'skill_id' => 3,
      'title' => 'Javascript'
    ]);


    // create goals
    Goal::create([
      'topic_id' => 1,
      'title' => 'Ik ben een kwartier voor aanvang aanwezig'
    ]);

    Goal::create([
      'topic_id' => 1,
      'title' => 'Ik vertel over een jaar of Spectrum Multimedia & IT ervoor zorgt dat ik structuur in mijn dag en week behoud'
    ]);

    Goal::create([
      'topic_id' => 2,
      'title' => 'Ik kan sociale contacten aangaan met collegas'
    ]);

    Goal::create([
      'topic_id' => 3,
      'title' => 'Een sociaal doel om te voorkomen dat hier niks staat'
    ]);

    Goal::create([
      'topic_id' => 4,
      'title' => 'werking code editor'
    ]);

    Goal::create([
      'topic_id' => 4,
      'title' => 'toevoegen van afbeelding'
    ]);

    Goal::create([
      'topic_id' => 4,
      'title' => 'links en ankerpunten'
    ]);

    Goal::create([
      'topic_id' => 4,
      'title' => 'toevoegen van lijsten'
    ]);

    Goal::create([
      'topic_id' => 4,
      'title' => 'begrijpen van de CSS syntax'
    ]);

    Goal::create([
      'topic_id' => 4,
      'title' => 'kleur toevoegen'
    ]);

    Goal::create([
      'topic_id' => 5,
      'title' => 'wat is javascript'
    ]);

    Goal::create([
      'topic_id' => 5,
      'title' => 'data opslaan in variables'
    ]);

    Goal::create([
      'topic_id' => 5,
      'title' => 'arrays'
    ]);

    Goal::create([
      'topic_id' => 5,
      'title' => 'DOM events'
    ]);


    // create users
    User::factory(2)->isAdmin()->create();
    User::factory(8)->create();


    // create links between some users and goals
    UserGoal::factory()->isAchieved()->create([
      'user_id' => 1,
      'goal_id' => 1,
    ]);

    UserGoal::factory()->create([
      'user_id' => 1,
      'goal_id' => 4,
    ]);

    UserGoal::factory()->create([
      'user_id' => 1,
      'goal_id' => 5,
    ]);

    UserGoal::factory()->isAchieved()->create([
      'user_id' => 1,
      'goal_id' => 6,
    ]);

    UserGoal::factory()->create([
      'user_id' => 1,
      'goal_id' => 9,
    ]);

    UserGoal::factory()->create([
      'user_id' => 2,
      'goal_id' => 4,
    ]);

    UserGoal::factory()->create([
      'user_id' => 3,
      'goal_id' => 5,
    ]);

    UserGoal::factory()->create([
      'user_id' => 3,
      'goal_id' => 7,
    ]);

    UserGoal::factory()->create([
      'user_id' => 3,
      'goal_id' => 9,
    ]);

    UserGoal::factory()->create([
      'user_id' => 4,
      'goal_id' => 1,
    ]);

    UserGoal::factory()->create([
      'user_id' => 5,
      'goal_id' => 3,
    ]);

    UserGoal::factory()->create([
      'user_id' => 5,
      'goal_id' => 7,
    ]);

    UserGoal::factory()->create([
      'user_id' => 5,
      'goal_id' => 8,
    ]);

    UserGoal::factory()->create([
      'user_id' => 5,
      'goal_id' => 10,
    ]);

    UserGoal::factory()->create([
      'user_id' => 5,
      'goal_id' => 11,
    ]);

  }
}
