"use strict"

export {switchNavTab}

// Declarations
const navContainer = document.querySelector('#navigation-tabs')
const navButtons = document.querySelectorAll('#navigation-tabs > button')
const skillItems = document.querySelectorAll('.item-skill')


navContainer.addEventListener('click', e => {
  let skillId = +e.target.dataset.skillId
  if(skillId) switchNavTab(skillId)

})

function switchNavTab(skillId) {
  for(const button of navButtons) {
    button.classList.remove('selected')
    if(+button.dataset.skillId === skillId) {
      button.classList.add('selected')
    }
  }

  for(const item of skillItems) {
    item.classList.add('is-hidden')
    if(+item.dataset.skillId === skillId) {
      item.classList.remove('is-hidden')
    }
  }
}

// onload
switchNavTab(1)