<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- CSRF Token -->
  <meta name="csrf-token" content="{{ csrf_token() }}">

  <title>Smartdoelen App</title>

  <!-- Scripts -->
  <script src="{{ asset('js/app.js') }}" defer></script>

  <!-- Styles -->
  <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
  <div id="app">
    <header class="h-16 flex justify-center font-semibold bg-sky-500 text-white">
      <nav class="w-4/5 h-full flex justify-between">
        <a class="navbar-brand flex items-center p-3" href="{{ url('/') }}">
          Logo
        </a>
        <ul class="navbar-nav flex items-center">
          <!-- Authentication Links -->
          @guest
            @if (Route::has('login'))
              <li class="nav-item">
                <a class="nav-link p-3" href="{{ route('login') }}">{{ __('Login') }}</a>
              </li>
            @endif

            @if (Route::has('register'))
              <li class="nav-item ml-4">
                <a class="nav-link p-3" href="{{ route('register') }}">{{ __('Register') }}</a>
              </li>
            @endif
          @else
            <li class="nav-item flex items-center">
              <p class="mr-7">{{ Auth::user()->name }}</p>

              <a class="nav-logout p-3" href="{{ route('logout') }}"
                onclick="event.preventDefault();
                document.getElementById('logout-form').submit();">
                {{ __('Logout') }}
              </a>

              <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                @csrf
              </form>
            </li>
          @endguest
        </ul>
      </nav>
    </header>

    <main class="py-4">
      @yield('content')
    </main>
  </div>
</body>
</html>
