<x-layouts.user :can-select-goals="$can_select_goals" view="achieved">

  <x-slot name="assets">
    <script type="module" src="{{ asset('js/views/goalsAchievedView.js') }}"></script>
  </x-slot>

  <x-slot name="pageTop">
    <h1 class="text-4xl font-medium">Behaalde leerdoelen</h1>
  </x-slot>

  <x-navigationTabs/>

  <section id="goals-list" class="inline-flex flex-col gap-8">

    @foreach ($skills as $skill)

      <div class="item-skill" data-skill-id="{{ $skill->id }}">

        <h1 class="skill-title font-medium text-2xl my-6">{{ $skill->title }}</h1>

          <!-- list of goals -->
          <ul class="ml-2 my-2 flex flex-col gap-2 font-normal">
            @foreach ($skill->topics as $topic)
              @foreach ($topic->goals as $goal)
                <li class="item-goal achieved py-2 px-4 flex items-center justify-between gap-16 rounded-md bg-neutral-200">

                  <p>{{ $goal->title }}.</p>
                  @foreach ($goal->users as $user)
                    @if($loop->first)
                      <p class="whitespace-nowrap">Behaald op {{ $user->goal_achieved_date }}</p>
                    @endif
                  @endforeach

                </li>
              @endforeach
            @endforeach
          </ul>

      </div>

    @endforeach

  </section>
  
</x-layouts.user>