<x-layouts.user :can-select-goals="1" view="select">

  <x-slot name="assets">
    <script type="module" src="{{ asset('js/views/goalsSelectView.js') }}"></script>
  </x-slot>

  <x-slot name="pageTop">
    <h1 class="text-4xl font-medium">Nieuwe leerdoelen Kiezen</h1>
  </x-slot>

  <div class="flex">

    <div class="flex-grow flex flex-col gap-8">
      
      <x-navigationTabs/>
    
      <section id="goals-list">
    
        @foreach ($skills as $skill)
    
          <div class="item-skill" data-skill-id="{{ $skill->id }}">
      
            <h2 class="skill-title font-medium text-2xl my-6">{{ $skill->title }}</h2>

            <ul class="flex flex-col gap-4">
              
              @foreach ($skill->topics as $topic)

                <li>
              
                  <h3 class="text-xl font-medium">{{ $topic->title }}</h3>
        
                  <!-- list of goals -->
                  <ul class="ml-2 my-2 flex flex-col gap-2">
                    @foreach ($topic->goals as $goal)
        
                      <li class="item-goal w-3/4 py-2 px-4 rounded-md bg-neutral-200" data-goal-id="{{ $goal->id }}">
                        <p>{{ $goal->title }}.</p>
                      </li>
                      
                    @endforeach
                  </ul>

                </li>
      
              @endforeach

            </ul>
      
          </div>
    
        @endforeach
    
      </section>

    </div>
    
    <div class="relative">
      
      <section id="selected-goals" class="sticky top-24 min-h-[20rem] w-[25rem] flex flex-col gap-4">
      
        <h2 class="text-2xl font-semibold">Gekozen leerdoelen <span id="selected-goals-count"></span></h2>
    
        <ul id="selected-list" class="flex-grow flex flex-col gap-2">

          <p id="no-items-message" class="text-sm">Nog geen doelen geselecteerd.</p>
    
        </ul>
  
        <div class="flex justify-between">
          <button id="selected-goals-reset" class="py-2 px-4 rounded-md bg-neutral-700 text-white font-semibold">Reset</button>
          <button id="selected-goals-done" class="py-2 px-4 rounded-md bg-green-500 text-white font-semibold">Klaar</button>
        </div>
    
      </section>
  
    </div>

  </div>

  <div id="modal-background" class="is-hidden fixed h-screen w-screen top-0 left-0 flex justify-center items-center bg-neutral-600 bg-opacity-80">

    <div id="modal-selected-goals" class="modal relative  max-w-2xl py-10 px-14 rounded-lg flex flex-col gap-8 bg-white">
      <button class="modal-close absolute top-4 right-4 h-6 w-6 font-semibold">x</button>
      <h2 class="text-2xl font-semibold">Gekozen leerdoelen Bevestigen</h2>

      <ul id="selected-goals-list" class="max-h-[30rem] flex flex-col gap-2 overflow-scroll">
  
      </ul>

      <div class="h-0.5 w-full bg-neutral-200"></div>

      <div class="flex justify-between">
        <button class="modal-close py-2 px-4 rounded-md bg-neutral-700 text-white font-semibold">Terug</button>
        <button id="selected-goals-confirm" class="py-2 px-4 rounded-md bg-green-500 text-white font-semibold">Bevestig</button>
      </div>
    </div>

    </div>
  
</x-layouts.user>