<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\GoalController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\UserGoalController;

Auth::routes();
Route::middleware(['auth'])->group(function () {
  
  Route::redirect('/','/home');

  // Begeleiding
  Route::middleware(['admin'])->group(function () {
    Route::redirect('/admin', '/admin/home');

    // Home view
    Route::get('/admin/home', [UserController::class, "usersView"])->name('usersView');
    Route::get('/admin/home/read', [UserController::class, "usersRead"]);
    Route::put('/admin/home/updateUserData', [UserController::class, "updateUserData"]);
    Route::put('/admin/home/approveGoals', [UserController::class, "approveGoals"]);
    Route::put('/admin/home/toggleGoalAchieved', [UserGoalController::class, "toggleGoalAchieved"]);

    // Leerdoelen beheer view
    Route::get('/admin/leerdoelen_beheer', [GoalController::class, "goalsManageView"])->name('goalsManageView');
    Route::get('/admin/leerdoelen_beheer/read', [GoalController::class, "goalsRead"]);
    Route::post('/admin/leerdoelen_beheer/create', [GoalController::class, "goalCreate"]);
    Route::put('/admin/leerdoelen_beheer/update', [GoalController::class, "goalUpdate"]);
    Route::delete('/admin/leerdoelen_beheer/delete', [GoalController::class, "goalDelete"]);    
  });

  // Medienten
  Route::middleware(['user'])->group(function () {
    Route::redirect('/user', '/user/leerdoelen');

    // Huidige leerdoelen view
    Route::get('/user/leerdoelen', [UserGoalController::class, "goalsCurrentView"])->name('goalsCurrentView');

    // Behaalde leerdoelen view
    Route::get('/user/leerdoelen_behaald', [UserGoalController::class, "goalsAchievedView"])->name('goalsAchievedView');

    // leerdoelen kiezen view
    Route::get('/user/leerdoelen_kiezen', [UserGoalController::class, "goalsSelectView"])->name('goalsSelectView');
    Route::post('/user/leerdoelen_kiezen/create', [UserGoalController::class, "setNewGoals"]);
    Route::get('user/leerdoelen_kiezen/get_previous', [UserGoalController::class, "getPreviousGoals"]);
  });

  Route::get('/home', [HomeController::class, 'index'])->name('home');

});