<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- CSRF Token -->
  <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

  <title>Smartdoelen App</title>

  <!-- Scripts -->
  <script src="<?php echo e(asset('js/app.js')); ?>" defer></script>

  <!-- Styles -->
  <link href="<?php echo e(asset('css/app.css')); ?>" rel="stylesheet">
</head>
<body>
  <div id="app">
    <header class="h-16 flex justify-center font-semibold bg-sky-500 text-white">
      <nav class="w-4/5 h-full flex justify-between">
        <a class="navbar-brand flex items-center p-3" href="<?php echo e(url('/')); ?>">
          Logo
        </a>
        <ul class="navbar-nav flex items-center">
          <!-- Authentication Links -->
          <?php if(auth()->guard()->guest()): ?>
            <?php if(Route::has('login')): ?>
              <li class="nav-item">
                <a class="nav-link p-3" href="<?php echo e(route('login')); ?>"><?php echo e(__('Login')); ?></a>
              </li>
            <?php endif; ?>

            <?php if(Route::has('register')): ?>
              <li class="nav-item ml-4">
                <a class="nav-link p-3" href="<?php echo e(route('register')); ?>"><?php echo e(__('Register')); ?></a>
              </li>
            <?php endif; ?>
          <?php else: ?>
            <li class="nav-item flex items-center">
              <p class="mr-7"><?php echo e(Auth::user()->name); ?></p>

              <a class="nav-logout p-3" href="<?php echo e(route('logout')); ?>"
                onclick="event.preventDefault();
                document.getElementById('logout-form').submit();">
                <?php echo e(__('Logout')); ?>

              </a>

              <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                <?php echo csrf_field(); ?>
              </form>
            </li>
          <?php endif; ?>
        </ul>
      </nav>
    </header>

    <main class="py-4">
      <?php echo $__env->yieldContent('content'); ?>
    </main>
  </div>
</body>
</html>
<?php /**PATH /home/spectr1q/public_html/stijn/smartdoelen/resources/views/layouts/app.blade.php ENDPATH**/ ?>